Bug 1026727 - [abrt] colord-1.1.2-1.fc20: cd_main_start_calibration_cb: Process /usr/libexec/colord-session was killed by signal 11 (SIGSEGV)
[abrt] colord-1.1.2-1.fc20: cd_main_start_calibration_cb: Process /usr/libexe...
Status: CLOSED DUPLICATE of bug 973792
Product: Fedora
Classification: Fedora
Component: colord (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b404b8c6637de8c949938b70a90...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 05:13 EST by Paul Finnigan
Modified: 2013-12-10 03:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-10 03:35:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (91.35 KB, text/plain)
2013-11-05 05:13 EST, Paul Finnigan
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-05 05:13 EST, Paul Finnigan
no flags Details
File: core_backtrace (12.17 KB, text/plain)
2013-11-05 05:14 EST, Paul Finnigan
no flags Details
File: dso_list (2.82 KB, text/plain)
2013-11-05 05:14 EST, Paul Finnigan
no flags Details
File: environ (953 bytes, text/plain)
2013-11-05 05:14 EST, Paul Finnigan
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-05 05:14 EST, Paul Finnigan
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-05 05:14 EST, Paul Finnigan
no flags Details
File: maps (13.83 KB, text/plain)
2013-11-05 05:14 EST, Paul Finnigan
no flags Details
File: open_fds (572 bytes, text/plain)
2013-11-05 05:14 EST, Paul Finnigan
no flags Details
File: proc_pid_status (930 bytes, text/plain)
2013-11-05 05:14 EST, Paul Finnigan
no flags Details
File: var_log_messages (377 bytes, text/plain)
2013-11-05 05:14 EST, Paul Finnigan
no flags Details

  None (edit)
Description Paul Finnigan 2013-11-05 05:13:47 EST
Description of problem:
NB. Running Fedora 20 alpha on VirtualBox to test.

Attached ColorMunki to test color profiling, not expecting to get good profile just to test the process.

Plugged in once the colormunki was in the calibrate position things went wrong.

Version-Release number of selected component:
colord-1.1.2-1.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/libexec/colord-session
crash_function: cd_main_start_calibration_cb
executable:     /usr/libexec/colord-session
kernel:         3.11.6-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (1 frames)
 #0 cd_main_start_calibration_cb at cd-main.c:1551

Potential duplicate: bug 973792
Comment 1 Paul Finnigan 2013-11-05 05:13:54 EST
Created attachment 819611 [details]
File: backtrace
Comment 2 Paul Finnigan 2013-11-05 05:13:57 EST
Created attachment 819612 [details]
File: cgroup
Comment 3 Paul Finnigan 2013-11-05 05:14:00 EST
Created attachment 819613 [details]
File: core_backtrace
Comment 4 Paul Finnigan 2013-11-05 05:14:03 EST
Created attachment 819614 [details]
File: dso_list
Comment 5 Paul Finnigan 2013-11-05 05:14:07 EST
Created attachment 819615 [details]
File: environ
Comment 6 Paul Finnigan 2013-11-05 05:14:10 EST
Created attachment 819616 [details]
File: exploitable
Comment 7 Paul Finnigan 2013-11-05 05:14:13 EST
Created attachment 819617 [details]
File: limits
Comment 8 Paul Finnigan 2013-11-05 05:14:16 EST
Created attachment 819618 [details]
File: maps
Comment 9 Paul Finnigan 2013-11-05 05:14:19 EST
Created attachment 819619 [details]
File: open_fds
Comment 10 Paul Finnigan 2013-11-05 05:14:23 EST
Created attachment 819620 [details]
File: proc_pid_status
Comment 11 Paul Finnigan 2013-11-05 05:14:26 EST
Created attachment 819621 [details]
File: var_log_messages
Comment 12 kartochka22 2013-11-27 11:04:39 EST
Fresh F20 -TC3 install from live cd to ssd, bare metal, updated. Plug Color Munki Photo, press "calibrate" in pop colord window.

It ask for place device on screen, click next -  done. Looks good, full screen image with square changed.
It ask to turn device in main "measure mode" (was already in "self calibrate" mode as previous step), press next - done.
This time something go wrong, it changed fullscreen window image, "next" button disappear, but nothing more - looks like it stuck doing nothing, just "cancel" button on left.

Only option is cancel, when pressed after ~ 2 min waiting it make this segfault with abrt popup.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/libexec/colord-session
crash_function: cd_main_start_calibration_cb
executable:     /usr/libexec/colord-session
kernel:         3.11.9-300.fc20.x86_64
package:        colord-1.1.4-1.fc20
reason:         Process /usr/libexec/colord-session was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 kartochka22 2013-12-05 20:27:58 EST
Another attempt with rawhide, with fresh gnome-color-manager-3.10.1-1.fc21.x86_64, same bug, stuck after asking to set ColorMunki from calibration to measure position and press "next", done, button "next" disappear, and it stuck forever. Press "cancel", got abrt popup.
Comment 14 Richard Hughes 2013-12-10 03:35:20 EST

*** This bug has been marked as a duplicate of bug 973792 ***

Note You need to log in before you can comment on or make changes to this bug.